<?xml version="1.0" encoding="utf-8"?>
<ScrollView
  xmlns:android="http://schemas.android.com/apk/res/android"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  android:background="#ffffff">

  <LinearLayout
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    >

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="match_parent"
      android:layout_marginTop="75dp"
      android:orientation="vertical"
      >

      <ImageView
        android:layout_width="40dp"
        android:layout_height="44.8dp"
        android:layout_gravity="center"
        android:src="@drawable/icon_access"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginTop="22dp"
      android:orientation="vertical">

      <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:gravity="center_horizontal"
        android:lineSpacingExtra="7sp"
        android:text="@string/app_access_authority_message"
        android:textColor="#000000"
        android:textSize="17sp"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="50dp"
      android:orientation="vertical">

      <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:lineSpacingExtra="6sp"
        android:text="@string/app_access_authority_required"
        android:textColor="#333333"
        android:textSize="15sp"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:layout_marginTop="10dp"
      android:background="#f8f8f8"
      android:orientation="horizontal">

      <ImageView
        android:layout_width="43dp"
        android:layout_height="43dp"
        android:layout_marginLeft="17dp"
        android:layout_marginRight="13.8dp"
        android:layout_marginTop="19dp"
        android:src="@drawable/icon_phone"
        />

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="21dp"
        android:orientation="vertical"
        >

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_authority_device_information"
          android:textColor="#333333"
          android:textSize="14sp"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_authority_device_information_detail"
          android:textColor="#666666"
          android:textSize="13.9sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:background="#f8f8f8"
      android:orientation="horizontal">

      <ImageView
        android:layout_width="43dp"
        android:layout_height="43dp"
        android:layout_marginLeft="17dp"
        android:layout_marginRight="13.8dp"
        android:layout_marginTop="19dp"
        android:src="@drawable/icon_device_id"
        />

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="19dp"
        android:layout_marginTop="21dp"
        android:orientation="vertical"
        >

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_authority_device_information2"
          android:textColor="#333333"
          android:textSize="14sp"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_authority_device_information_detail2"
          android:textColor="#666666"
          android:textSize="13.9sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginTop="30dp"
      android:orientation="vertical">

      <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:lineSpacingExtra="6sp"
        android:text="@string/app_access_authority_option"
        android:textColor="#333333"
        android:textSize="15sp"
        />
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:layout_marginTop="10dp"
      android:background="#f8f8f8"
      android:orientation="horizontal">

      <ImageView
        android:layout_width="43dp"
        android:layout_height="43dp"
        android:layout_marginLeft="17dp"
        android:layout_marginRight="13.8dp"
        android:layout_marginTop="19dp"
        android:src="@drawable/icon_location"
        />

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="21dp"
        android:orientation="vertical"
        >

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_location_authority"
          android:textColor="#333333"
          android:textSize="14sp"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_location_authority_detail"
          android:textColor="#666666"
          android:textSize="13.9sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:background="#f8f8f8"
      android:orientation="horizontal">

      <ImageView
        android:layout_width="43dp"
        android:layout_height="43dp"
        android:layout_marginLeft="17dp"
        android:layout_marginRight="13.8dp"
        android:layout_marginTop="19dp"
        android:src="@drawable/icon_photo"
        />

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="19dp"
        android:layout_marginTop="21dp"
        android:orientation="vertical"
        >

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_picture_authority"
          android:textColor="#333333"
          android:textSize="14sp"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_picture_authority_detail"
          android:textColor="#666666"
          android:textSize="13.9sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="24dp"
      android:layout_marginRight="24dp"
      android:background="#f8f8f8"
      android:orientation="horizontal">

      <ImageView
        android:layout_width="43dp"
        android:layout_height="43dp"
        android:layout_marginLeft="17dp"
        android:layout_marginRight="13.8dp"
        android:layout_marginTop="19dp"
        android:src="@drawable/icon_notice"
        />

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="19dp"
        android:layout_marginTop="21dp"
        android:orientation="vertical"
        >

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_notice_authority"
          android:textColor="#333333"
          android:textSize="14sp"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="5sp"
          android:text="@string/app_access_notice_authority_detail"
          android:textColor="#666666"
          android:textSize="13.9sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginLeft="31.8dp"
      android:layout_marginTop="17dp"
      android:layout_marginRight="24dp"
      android:orientation="vertical">

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >

        <ImageView
          android:layout_width="2dp"
          android:layout_height="2dp"
          android:layout_gravity="center"
          android:layout_marginRight="5dp"
          android:src="@drawable/rectangle"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="3sp"
          android:text="@string/app_access_authority_option_message"
          android:textColor="#999999"
          android:textSize="12sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content"
      android:layout_marginBottom="34dp"
      android:layout_marginLeft="31.8dp"
      android:layout_marginTop="17dp"
      android:orientation="vertical">

      <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >

        <ImageView
          android:layout_width="2dp"
          android:layout_height="2dp"
          android:layout_gravity="center"
          android:layout_marginRight="5dp"
          android:src="@drawable/rectangle"
          />

        <TextView
          android:layout_width="wrap_content"
          android:layout_height="wrap_content"
          android:lineSpacingExtra="3sp"
          android:text="@string/app_access_authority_change"
          android:textColor="#000000"
          android:textSize="12sp"
          />
      </LinearLayout>
    </LinearLayout>

    <LinearLayout
      android:layout_width="match_parent"
      android:layout_height="wrap_content">

      <Button
        android:id="@+id/button_access_authority"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/C000000"
        android:lineSpacingExtra="6sp"
        android:text="@string/confirm"
        android:textColor="#ffffff"
        android:textSize="15sp"
        />

    </LinearLayout>
  </LinearLayout>
</ScrollView>